#version 330 core

in vec2 fTexcoord;

out vec4 outColor;

uniform sampler2D tex;

float LinearizeDepth(float depth) {
    float z = depth * 2.0 - 1.0; // Back to NDC 
    return (2.0 * 0.1f * 80.0f) / (80.0f + 0.1f - z * (80.0f - 0.1f));
}

void main(void) {             
    float depthValue = texture(tex, fTexcoord).r;
    outColor = vec4(vec3(LinearizeDepth(depthValue) / 80.0f), 1.0); // perspective
    // color = vec4(vec3(depthValue), 1.0); // orthographic
} 

